$(function () {
    $("a").each(function () {
        if (typeof $(this).attr("href") != 'undefined') {
            if ($(this).attr("href").toLowerCase().indexOf("http") == 0)
                $(this).attr("onclick", "window.open('" + $(this).attr("href") + "', '_system'); return false;");
        }
    });

    DeviceType = ((navigator.userAgent.match(/iPod/i)) == "iPod" ? "iOS" : navigator.userAgent.match(/iPad/i)) == "iPad" ? "iOS" : (navigator.userAgent.match(/iPhone/i)) == "iPhone" ? "iOS" : (navigator.userAgent.match(/Android/i)) == "Android" ? "Android" : (navigator.userAgent.match(/BlackBerry/i)) == "BlackBerry" ? "BlackBerry" : (navigator.userAgent.match(/Windows/i)) == "Windows" ? "Windows" : 'unknown';

});

$(function () {

    $("#txtSearch").autocomplete({
        source: "https://www.bustracker.ca/ajax/test.ashx?Agency=" + Lang.GetTranslation("Agency"),
        minLength: 4,
        matchContains: false,
        autoFocus: false,
        select: function (value, data) {
            GetStopBuses(data.item.value, Lang.GetTranslation("Agency"));
        }
    });

    $("#popup-outside-page").enhanceWithin().popup();
    $("#FavoritesMenu").enhanceWithin().popup();
    $("#FavoritesMenuBus").enhanceWithin().popup();
    $("#divEditStop").enhanceWithin().popup();
    $("#divEditBus").enhanceWithin().popup();
    $("#divPopup").enhanceWithin().popup();

    $.ajax({
        url: 'js/langs/' + Lang.CurrentLanguage() + '.js',
        dataType: 'json',
        async: false,
        success: function (data) {translate(data);}
    });

        BuildRecentList();
        BuildFavoriteStopList();
        BuildFavoriteBusList();

        $('#pgHome').on("pagebeforeshow", function () {
            HighlightTab();
        });



        $('#FavoritesMenuBus').popup({
            afteropen: function (event, ui) { HighlightTab(); }
        });

        $('#FavoritesMenu').popup({
            afteropen: function (event, ui) { HighlightTab(); }
        });

        $('#select-language-button span').text(
        $('#select-language option').prop('selected', false)
                   .filter('[value=' + Lang.CurrentLanguage() + ']')
                   .prop('selected', 'selected').text()
     );

        $('#txtSearch').keyup(function (e) {
            if (e.keyCode == 13) {
                $("#aSearch").trigger("click");
            }
        });

        $('#txtEditStop').keyup(function (e) {
            if (e.keyCode == 13) {
                $("#aEditStop").trigger("click");
            }
        });

        $('#txtEditBus').keyup(function (e) {
            if (e.keyCode == 13) {
                $("#aEditBus").trigger("click");
            }
        });


        SetAd();
        ga_storage._setAccount(Lang.GetTranslation("GAID"));
        ga_storage._setDomain(Lang.GetTranslation("URL"));
        LogGAHit("/");


    //### One time import of favorites from previous web visits
    if ($.localStorage.isEmpty("FavoritesChecked")) {

        var URLs = ['https://www.' + Lang.GetTranslation("URL") + '/ajax/CookiesAPI.ashx', 'https://' + Lang.GetTranslation("URL") + '/ajax/CookiesAPI.ashx'];

        $.each(URLs, function (key, val) {
            $.ajax({
                dataType: 'jsonp',
                url: val,
                timeout: 3000
            })
           .always(function () {

               if (typeof JBuses != 'undefined' && JBuses != '') {
                   
                   $.each(JBuses, function (key, val) {

                       var QS = val.QueryString;

                       var stopno = QS.substr(8, val.QueryString.indexOf('&') - 8);
                       var desc = val.Description;
                       var Agency = QS.substr(QS.lastIndexOf("=")+1);

                       if (typeof val.Agency != 'undefined') {
                           AddFavoriteStop(stopno, desc, Agency, true);

                       } else {
                           desc = desc.substr(desc.indexOf('at ') + 3);
                           x = 0;
                           var busnum = '';
                           var busdir = '';

                           while (val.QueryString.indexOf('busnum' + x) > -1) {
                               var tm = QS.split('busnum' + x + '=')[1];
                               busnum += tm.substr(0, tm.indexOf('&')) + ',';
                               tm = tm.split("direction" + x + "=")[1];
                               busdir += tm.substr(0, tm.indexOf('&')) + ',';
                               x++;
                           }

                           busnum = busnum.substr(0, busnum.lastIndexOf(','));
                           busdir = busdir.substr(0, busdir.lastIndexOf(','));

                           AddFavoriteBus(stopno, desc, busnum, busdir, Agency, true);
                       }
                   });
               }
           });
        });

        $.localStorage.set('FavoritesChecked', 1);

    }
})


function SetAd(StopNo) {
    $('.BTAd').html('');

    if ($.localStorage.isEmpty("id")) {
        id = Math.floor(Math.random() * 1000000);
        $.localStorage.set("id", id);
    }
    if (typeof StopNo == 'undefined')
        StopNo = 0;

    

    $('body').append("<script async defer src='https://adserve.bustracker.ca/ajax/ad3.ashx?StopNo=" + StopNo + "&Agency=" + Lang.GetTranslation("Agency") + "&l=" + $.localStorage.get("id") + "&URL=/&DeviceType=" + DeviceType + "'></script>");

}

$('#pgHome').on("pagebeforeshow", function () {
    if (!$.cookieStorage.isEmpty('CurrTab'))
        $('#' + $.cookieStorage.get('CurrTab')).addClass('ui-tabs-active ui-state-active ui-state-focus').children(":first").addClass('ui-btn-active');
});

function LogGAHit(URL) {
    if (typeof URL != 'undefined') {
        if (URL.indexOf(".ca/") > 0)
            URL = URL.substring(URL.indexOf(".ca/") + 3);
    }

    ga_storage._trackPageview(URL, Lang.GetTranslation("AgencyTitle"), 'App', DeviceType, 'MV3');
}

function TestFunc() {

   // $.localStorage.removeAll();
    // $.cookieStorage.removeAll();
   // $.localStorage.remove("fontsize");



    //GetBuses(3000, "5", "Westbound");
    //GetStopBuses(3004);

    //GetBuses(3043, "95", "Westbound");

   //geo_success();

    //GetBuses(3000, "8", "Southbound", "OC")
    //GetBuses(53941, "C28,C29", "EAST,NORTH", "translink");

    //GetBuses(55444, "321", "SOUTH", "translink")

}

MapDefined = false;

function MapIt() {
    
    if (!MapDefined) {
        $.mobile.loading("show", {
            text: Lang.GetTranslation('RetrievingGPS'),
            textVisible: true,
            theme: "a",
            html: ""
        });
    }
    if (navigator && navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(geo_success, geo_error, { enableHighAccuracy: true, timeout: 10000, maximumAge: 0 });
    } else {
        geo_error();
    }
}



function geo_success(position) {



    if (position == null) {
        var latlong = new google.maps.LatLng(Lang.GetTranslation("Lat"), Lang.GetTranslation("Long"));
        if (MapDefined) {
            map.panTo(latlong);
            marker.setPosition(latlong);
            google.maps.event.trigger(map, 'resize')
            $.mobile.loading("hide");
            return;
        }
    } else {
        var latlong = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
        if (MapDefined) {
            map.panTo(latlong);
            marker.setPosition(latlong);
            google.maps.event.trigger(map, 'resize')
            $.mobile.loading("hide");
            return;
        }
    }



    var mapOptions = {
        center: latlong,
        zoom: 16,
        disableDefaultUI: true,
        zoomControl: true,
        gestureHandling: 'greedy',
        zoomControlOptions: { 'style': google.maps.ZoomControlStyle.DEFAULT, 'position': google.maps.ControlPosition.TOP_RIGHT },
        mapTypeId: google.maps.MapTypeId.ROADMAP
    };

    map = new google.maps.Map(document.getElementById("map_canvas"),
    mapOptions);

    var infoWindow = new google.maps.InfoWindow();

    layer = new google.maps.FusionTablesLayer({
        'query': { 'from': Lang.GetTranslation("MapID") },
        'styles': [{ 'markerOptions': { iconName: "s" } }],
        'suppressInfoWindows': true

    });
    layer.setMap(map);

    marker = new google.maps.Marker({
        position: latlong,
        icon: 'images/person.png',
        map: map
    });



    google.maps.event.addListener(layer, 'click', function (e) {

        var Str = "<b><center>" + e.row['stop_name'].value + "</center></b>";
        Str += "<div style='text-align:center;height:100%;width:100%'><h3><a href='#' class='ui-btn ui-corner-all' onclick='GetStopBuses(" + e.row['stop_code'].value + ",\"" + Lang.GetTranslation("Agency") + "\");return false;'>Get Buses</a></h3></div>";



        infoWindow.setOptions({
            content: Str,
            position: e.latLng,
            pixelOffset: e.pixelOffset
        });
        infoWindow.open(map);


    });

    MapDefined = true;
    google.maps.event.trigger(map, 'resize');

    $.mobile.loading("hide");
}

function geo_error(err) {
    $.mobile.loading("hide");

    if ($.cookieStorage.isEmpty('CityCenter')) {
        Popup(Lang.GetTranslation("CityCenter"));
        $.cookieStorage.set('CityCenter', "1");
    }
    geo_success();
}


function Popup(txt) {

    $('#txtPopup').html(txt);
    $('#divPopup').popup();
    $('#divPopup').popup("open", { 'theme': 'e', 'data-overlay-theme': "e" });


}

function SetTab(id) {

    $.cookieStorage.set('CurrTab', id);
}

function HighlightTab() {
    if (!$.cookieStorage.isEmpty('CurrTab')) {
        $('#' + $.cookieStorage.get('CurrTab')).addClass('ui-tabs-active ui-state-active ui-state-focus').children(":first").addClass('ui-btn-active');
    }
}
















