﻿AgencyInfo = [];
AgencyInfos =
[
    { "Agency": "OC", "AgencyTitle": "OCBusTracker", "MapID": "1TQiGOeBHFZa_xegz5PgszKkp_pE2o2-OviMtx2jB", "TransitIcon": "images/transiticons/oc.png", "GAID": "UA-30326027-1", "URL": "ocbustracker.com", "Lat": "45.42153", "Long": "-75.697193", "AllowBusClick": true, "AdMobiOSID": "ca-app-pub-9230382773623873/6413967755", "AdMobAndroidID": "ca-app-pub-9230382773623873/7383206557" },
    { "Agency": "ttc", "AgencyTitle": "TTCBusTracker", "MapID": "5275418", "TransitIcon": "images/transiticons/ttc.png", "GAID": "UA-42437529-3", "URL": "ttcbustracker.com", "Lat": "43.653226", "Long": "-79.383184", "AllowBusClick": true, "AdMobiOSID": "ca-app-pub-9230382773623873/9448159354", "AdMobAndroidID": "ca-app-pub-9230382773623873/3401625753" },
    { "Agency": "translink", "AgencyTitle": "TransLinkBusTracker", "MapID": "1EWTF4qMV_ZEDkHmv-Prb5cjFIemKf2svcpkM3kc", "TransitIcon": "images/transiticons/translink.png", "GAID": "UA-42437529-4", "URL": "translinkbustracker.com", "Lat": "49.261226", "Long": "-123.113927", "AllowBusClick": false, "AdMobiOSID": "ca-app-pub-9230382773623873/6494692957", "AdMobAndroidID": "ca-app-pub-9230382773623873/1828485753" },
     { "Agency": "mbta", "AgencyTitle": "MBTABusTracker", "MapID": "1XadG8l6mNsFulOfnCsGxEcuEgogCNQMxYZ58C2Q", "TransitIcon": "images/transiticons/mbta.png", "GAID": "UA-42437529-6", "URL": "mbtabustracker.com", "Lat": "42.3133735", "Long": "-71.0571571", "AllowBusClick": true, "AdMobiOSID": "ca-app-pub-9230382773623873/2685321753", "AdMobAndroidID": "ca-app-pub-9230382773623873/6682189350" },
     { "Agency": "wmata", "AgencyTitle": "WMATABusTracker", "MapID": "1_pb1tqSSwAAzdfTRrZTmKDOwhS5qgJ3Q2V0SeBg", "TransitIcon": "images/transiticons/wmata.png", "GAID": "UA-42437529-7", "URL": "wmatabustracker.com", "Lat": "38.8992651", "Long": "-77.1546507", "AllowBusClick": true, "AdMobiOSID": "ca-app-pub-9230382773623873/6351022958", "AdMobAndroidID": "ca-app-pub-9230382773623873/4618498959" }
];

var url = location.href.toLowerCase();

if (url.indexOf("ocbustracker") > -1)
    AgencyInfo = AgencyInfos[0];
else if (url.indexOf("ttcbustracker") > -1)
    AgencyInfo = AgencyInfos[1];
else if (url.indexOf("translinkbustracker") > -1)
    AgencyInfo = AgencyInfos[2];
else if (url.indexOf("mbtabustracker") > -1)
    AgencyInfo = AgencyInfos[3];
else if (url.indexOf("wmatabustracker") > -1)
    AgencyInfo = AgencyInfos[4];
else
    AgencyInfo = AgencyInfos[1]; // Always set this to the appropriate agency (different for each app store build). Else not required for web as it will read the URL properly (apps don't)





Lang = {

    LanguageToggle: function (lang, refresh) {
        $.cookie("lang", lang, { expires: 1000, path: '/' });
        if (refresh)
            window.location = window.location.href.split('#')[0]
    },

    CurrentLanguage: function () {
        var LangCode;
        if (typeof $.cookie("lang") != "undefined") {
            LangCode = $.cookie("lang");
        } else {
            LangCode = 'en';
            Lang.LanguageToggle(LangCode, false);
        }

        return LangCode;
    },


    GetTranslation: function (Phrase) {
        if (typeof AgencyInfo[Phrase] != 'undefined')
            return AgencyInfo[Phrase];
        else
            return LangFile[Phrase];
    }

}

var translate = function (jsdata)
{
    LangFile = jsdata;
    $("[tkey]").each (function (index)
    {
        var strTr = jsdata[$(this).attr('tkey')];

        if ($(this).children().length > 0)
            $(this).children().text(strTr);
        else
	        $(this).text(strTr);
    });

    $('#aBack').css('background-image', "url(" + Lang.GetTranslation("TransitIcon") + ")");
    $('#aAboutIcon').css('background-image', "url(" + Lang.GetTranslation("TransitIcon") + ")");
    $('#aContactIcon').css('background-image', "url(" + Lang.GetTranslation("TransitIcon") + ")");

    var Tit = Lang.GetTranslation("AgencyTitle");

    $('#h1Main').text(Tit);
    $(document).prop('title', Tit);
    $('#txtSearch').attr("placeholder", Lang.GetTranslation("EnterStopNumber"));

    var AboutContent = $('#AboutContent' + Lang.CurrentLanguage());
    var ContactContent = $('#ContactContent' + Lang.CurrentLanguage());

    if (AboutContent.length == 0)
        $('#AboutContenten').show();
    else
        AboutContent.show();

    if (ContactContent.length == 0)
        $('#ContactContenten').show();
    else
        ContactContent.show();

}




